> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ocoya.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update post

> Returns an id of the updated post



## OpenAPI

````yaml /openapi.yaml patch /post/{postId}
openapi: 3.1.0
info:
  version: 1.1.0
  title: Ocoya API
  description: REST API reference for Ocoya.
servers:
  - url: https://app.ocoya.com/api/_public/v1
security:
  - ApiKeyAuth: []
paths:
  /post/{postId}:
    patch:
      summary: Update post
      description: Returns an id of the updated post
      parameters:
        - in: path
          name: postId
          required: true
          description: Ocoya post ID.
          schema:
            type: string
            example: cmajvvb9q0003ja5vh0538j6r
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                scheduledAt:
                  type: string
                  description: >-
                    ISO 8601 datetime when the post should be scheduled. Omit to
                    save as draft.
                  example: '2024-01-01T00:00:00Z'
      responses:
        '200':
          description: Success
        '500':
          description: Unknown error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````